Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 System.Enum

Specifies the option level associated with the used in the and methods of the class.

Some socket options apply only to specific protocols while others apply to all types. Members of this enumeration specify which protocol applies to a specific socket option.

- Field
  System.Net.Sockets.SocketOptionLevel IP

  Specifies that members of the enumeration apply to Internet Protocol (IP).

  The following table lists the members of the enumeration used with this level.

  SocketOptionName
  Description of Socket Option Data
  HeaderIncluded
  A where indicates the application is providing the IP header for outgoing datagrams.
  IPOptions
  A array that specifies IP options to be inserted into outgoing datagrams.
  IpTimeToLive
  A that specifies the time-to-live for datagrams. The time-to-live designates the number of networks on which the datagram is allowed to travel before being discarded by a router.
  MulticastInterface
  A array that specifies the interface for outgoing multicast packets.
  MulticastLoopback
  A where enables multicast loopback.
  MulticastTimeToLive
  A that specifies the time-to-live for multicast datagrams.
  TypeOfService
  A that specifies the type of service field in the IP header.
  UseLoopback
  A where indicates Bypass hardware when possible. 0 1.0.5000.0 2.0.0.0
- Field
  System.Net.Sockets.SocketOptionLevel IPv6 To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Net.Sockets.SocketOptionLevel Socket

  Specifies that members of the enumeration are not specific to a particular protocol.

  The following table lists the members of the enumeration used with this level.

  SocketOptionName
  Description
  Broadcast
  A where indicates broadcast messages are allowed to be sent to the socket.
  Debug
  A where indicates to record debugging information.
  DontLinger
  A where indicates to close the socket without lingering.
  DontRoute
  A where indicates not to route data; indicates to send data directly to interface addresses.
  Error
  A that contains the error code associated with the last socket error. The error code is cleared by this option. This option is read-only.
  KeepAlive
  A where (the default) indicates to enable keep-alives, which allows a connection to remain open after a request.
  OutOfBandInline
  A where indicates to receive out-of-band data in the normal data stream.
  ReceiveBuffer
  A that specifies the total per-socket buffer space reserved for receives. This is unrelated to the maximum message size or the size of a TCP window.
  ReceiveTimeout
  A that specifies the maximum time, in milliseconds, the and methods will block when attempting to receive data. If data is not received within this time, a exception is thrown.
  ReuseAddress
  A where allows the socket to be bound to an address that is already in use.
  SendBuffer
  A that specifies the total per-socket buffer space reserved for sends. This is unrelated to the maximum message size or the size of a TCP window.
  SendTimeout
  A that specifies the maximum time, in milliseconds, the and methods will block when attempting to send data. If data is not sent within this time, a exception is thrown.
  Type

  One of the values defined in the enumeration. This option is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Net.Sockets.SocketOptionLevel Tcp

  Specifies that members of the enumeration apply to Transmission Control Protocol (TCP).

  The following table lists the members of the enumeration used with this level.

  SocketOptionName
  Description of Socket Option Data
  BsdUrgent
  A where indicates to use urgent data as defined by IETF RFC 1222. Once set, this option cannot be turned off.
  Expedited
  A where indicates to use expedited data as defined by IETF RFC 1222. Once set, this option cannot be turned off.
  NoDelay
  A where indicates to disable the Nagle algorithm for send coalescing. 0 1.0.5000.0 2.0.0.0
- Field
  System.Net.Sockets.SocketOptionLevel Udp

  Specifies that members of the enumeration apply to User Datagram Protocol (UDP).

  The following table lists the members of the enumeration used with this level.

  SocketOptionName
  Description of Socket Option Data
  ChecksumCoverage
  A that specifies UDP checksum coverage.
  NoChecksum
  A where indicates to send UDP datagrams with the checksum set to zero. 0 1.0.5000.0 2.0.0.0
0